﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace _111052
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataSet ds = new DataSet();

            DataTable root = new DataTable("root");
            root.Columns.Add("id", typeof(int)).AutoIncrement = true;
            for (int i = 0; i < 3; i++)
            {
                root.Columns.Add(string.Format("col{0}",i), typeof(string)).DefaultValue = "Text";
            }
            ds.Tables.Add(root);

            for (int i = 0; i < 5; i++)
            {
                DataTable child = new DataTable(string.Format("Band{0}",i));
                child.Columns.Add("id", typeof(int)).AutoIncrement = true;
                child.Columns.Add("pid", typeof(int));
                for (int J = 0; J < 3; J++)
                {
                    child.Columns.Add(string.Format("col{0}", J), typeof(string)).DefaultValue = "Text";
                }

                ds.Tables.Add(child);
            }

            for (int i = 0; i < 3; i++)
            {
                DataRow row = root.Rows.Add();
                foreach (DataTable dt in ds.Tables)
                {
                    if (dt.TableName.StartsWith("Band")) 
                    {
                        for (int J = 0; J < 5; J++)
                            dt.Rows.Add(null, row["id"]);
                    } 
                }

            }

            int br = 0;
             foreach (DataTable dt in ds.Tables)
                {
                    if (dt.TableName.StartsWith("Band"))
                    {  
                        ds.Relations.Add(string.Format("Band{0}",br),root.Columns["id"], dt.Columns["pid"]);
                        br++;  
                    }

                }


             ultraGrid1.DisplayLayout.Override.RowSelectorHeaderStyle = Infragistics.Win.UltraWinGrid.RowSelectorHeaderStyle.ColumnChooserButton;
            ultraGrid1.DataSource = ds;
        }
    }
}
